execute unless score toggle phartoggle matches 1 as @e[type=husk,tag=!not_phar,tag=!babyper,tag=!giantbrain,sort=random] at @s run function mob_variants:pharspawn
execute unless score toggle knighttoggle matches 1 as @e[type=zombie,tag=!not_knight,tag=!soul,sort=random] at @s run function mob_variants:knightspawn
execute unless score toggle wraithtoggle matches 1 as @e[type=spider,tag=!not_wraith,sort=random] at @s run function mob_variants:wraithspawn
execute unless score toggle barbtoggle matches 1 as @e[type=skeleton,tag=!not_barb,tag=!poss,sort=random] at @s run function mob_variants:barbspawn
execute unless score toggle posstoggle matches 1 as @e[type=skeleton,tag=!not_poss,tag=!barb,sort=random] at @s run function mob_variants:possspawn
execute unless score toggle demontoggle matches 1 as @e[type=zombified_piglin,tag=!not_demon,sort=random] at @s run function mob_variants:demonspawn
execute unless score toggle archdemontoggle matches 1 as @e[type=zombified_piglin,tag=!not_arch,sort=random] at @s run function mob_variants:archdemonspawn
execute unless score toggle soultoggle matches 1 as @e[type=zombie,tag=!not_soul,tag=!knight,sort=random] at @s run function mob_variants:soulspawn
execute unless score toggle minertoggle matches 1 as @e[type=zombie,tag=!not_miner,tag=!knight,tag=!soul,sort=random,scores={y=..20}] at @s run function mob_variants:minerspawn
execute unless score toggle minertoggle matches 1 as @e[type=zombie,tag=!not_miner,tag=!knight,tag=!soul,sort=random] at @s if entity @s[y=0,dy=-63] run function mob_variants:minerspawn
execute unless score toggle ikotoggle matches 1 as @e[type=minecraft:fox,tag=!not_iko,sort=random] at @s run function mob_variants:ikospawn
execute unless score toggle sentineltoggle matches 1 as @e[type=enderman,tag=!not_sentinel,sort=random] at @s if block ~ ~-2 ~ minecraft:end_stone run function mob_variants:sentinelspawn
execute unless score toggle halfzombietoggle matches 1 as @e[type=zombie,tag=!not_halfzombie,tag=!knight,tag=!soul,sort=random] at @s run function mob_variants:halfzombiespawn
execute unless score toggle gianttoggle matches 1 as @e[type=zombie,tag=!not_giant,tag=!halfzombie,tag=!knight,tag=!soul,scores={y=55..},sort=random] at @s run function mob_variants:giantspawn
execute unless score toggle babypertoggle matches 1 as @e[type=creeper,tag=!creepest,tag=!not_babyper,sort=random] at @s run function mob_variants:babyperspawn

execute unless entity @e[type=giant] run kill @e[tag=giantbrain]

execute at @e[type=giant] run damage @a[distance=..3.5,sort=random,limit=1] 14 minecraft:mob_attack by @e[type=giant,limit=1]
execute unless entity @e[type=giant] run kill @e[tag=giantbrain]

execute at @e[tag=babyper] if entity @p[distance=..1,gamemode=survival] run summon creeper ~ ~ ~ {ExplosionRadius:1b,Fuse:0}

execute as @e[type=armor_stand,tag=iko] at @s unless entity @e[type=rabbit,tag=iko,distance=..1] run kill @s
execute at @e[tag=demon] run particle minecraft:flame ~ ~0.25 ~ 0.5 0.25 0.25 0 12
execute at @e[tag=archdemon] run particle minecraft:flame ~ ~1 ~ 0.5 0.25 0.25 0 12
execute as @e[tag=demon] run execute at @e[tag=demon] run playsound minecraft:item.firecharge.use master @a ~ ~ ~ 0.05 0.01
execute at @e[tag=phar] run particle minecraft:soul ~ ~1 ~ 0.5 0.5 0.5 0 5
execute at @e[tag=phar] run kill @e[type=minecraft:arrow,distance=..5]
execute at @e[tag=wraith] run particle minecraft:smoke ~ ~0.5 ~ 1 0.5 0.5 0 10
execute at @e[tag=wraith] run effect give @a[distance=..3] levitation 2 2 true
execute as @e store result score @s y run data get entity @s Pos[1]
execute as @e[tag=soul,limit=1,sort=random] run execute at @s if score @p[distance=..4,gamemode=survival] y > @s y run execute as @a[distance=..4] at @s run execute as @e[tag=soul,distance=..4,limit=1,sort=nearest] at @s if score @p[distance=..4,gamemode=survival] y > @s y run tp @s ^ ^0.5 ^0.5
execute at @e[tag=soul] run execute as @e[tag=soul,sort=random] if score @p[distance=..4,gamemode=survival] y > @s y run effect give @s minecraft:slow_falling 3 1 true
execute at @e[tag=phar] run execute as @e[tag=phar,sort=random] if score @p[distance=..4.5,gamemode=survival] y > @s y run effect give @s minecraft:slow_falling 3 1 true
execute at @e[tag=phar] run execute as @e[tag=phar,sort=random] if score @p[distance=..4.5,gamemode=survival] y > @s y run effect give @s minecraft:resistance 2 10 true
execute at @e[tag=phar] run execute as @e[tag=phar,sort=random] if score @p[distance=..4.5,gamemode=survival] y > @s y run effect give @s minecraft:invisibility 2 1 true
execute as @e[tag=phar,limit=1,sort=random] run execute at @s if score @p[distance=..4.5,gamemode=survival] y > @s y run execute as @a[distance=..4.5] at @s run execute as @e[tag=phar,distance=..4.5,limit=1,sort=nearest] at @s if score @p[distance=..4.5,gamemode=survival] y > @s y run tp @s ^ ^1 ^1
execute at @e[tag=phar] run execute as @e[tag=phar,sort=random] if score @p[distance=..4.5,gamemode=survival] y > @s y run playsound minecraft:block.beacon.power_select master @a[distance=..25] ~ ~ ~ 1 0.8
execute at @e[tag=phar] run execute as @e[tag=phar,sort=random] run execute store result bossbar minecraft:phar value run data get entity @e[tag=phar,limit=1] Health
execute at @e[tag=phar] run execute as @e[tag=phar,sort=random] run execute if entity @e[tag=phar] run bossbar set minecraft:phar players @a[distance=..50]
execute at @a run execute as @a run execute unless entity @e[tag=phar] run bossbar set minecraft:phar players

execute at @e[tag=giant] run execute as @e[tag=giant,sort=random] run execute store result bossbar minecraft:giant value run data get entity @e[tag=giant,limit=1] Health
execute at @e[tag=giant] run execute as @e[tag=giant,sort=random] run execute if entity @e[tag=giant] run bossbar set minecraft:giant players @a[distance=..100]
execute at @a run execute as @a run execute unless entity @e[tag=giant] run bossbar set minecraft:giant players


execute if score counter timeto matches 19 at @e[tag=sentinel] run summon shulker_bullet ~ ~-1 ~ {Tags:["sentbullet"]}
execute as @e[tag=sentbullet] at @s unless entity @p[distance=..50] run kill @s
execute as @e[tag=sentbullet] at @s run execute as @e[tag=sentbullet] at @s facing entity @p[limit=1,gamemode=!creative,gamemode=!spectator] feet run tp @s ^ ^ ^0.25
execute as @r at @s if entity @e[tag=sentbullet,distance=..0.75] run damage @s 7 arrow by @e[limit=1,sort=nearest,tag=sentinel]
execute as @r at @s if entity @e[tag=sentbullet,distance=..0.75] run effect give @s levitation 6 1
execute as @r at @s if entity @e[tag=sentbullet,distance=..0.75] run kill @e[tag=sentbullet,distance=..0.75]
execute store result score #night night run time query daytime
execute if score #night night matches 12542 run scoreboard players add daycount hordeday 1

execute if score daycount hordeday matches 30 if score #night night matches 0 run scoreboard players set daycount hordeday 0
execute as @r run execute if score daycount hordeday matches 30 run attribute @e[type=zombie,tag=!knight,tag=!soul,limit=1,sort=random] minecraft:zombie.spawn_reinforcements base set 999999
execute as @r run execute if score daycount hordeday matches 30 run attribute @e[type=zombie,limit=1,sort=random] minecraft:generic.follow_range base set 200
execute as @r run execute if score #night night matches 12542 if score daycount hordeday matches 30 run tellraw @a {"text":"This is going to be a terrible night...","color":"dark_red","bold":true}
execute as @a run execute if score #night night matches 12542 if score daycount hordeday matches 30 run playsound minecraft:entity.wither.spawn master @a ~ ~ ~ 100 0.9
execute if score daycount hordeday matches 30 run gamerule playersSleepingPercentage 200
execute unless score daycount hordeday matches 30 run gamerule playersSleepingPercentage 50
execute if score daycount hordeday matches 30 run effect give @e[type=zombie,tag=!knight,tag=!soul] strength 1 1 true
execute if score daycount hordeday matches 30 run effect give @e[type=zombie,tag=!knight,tag=!soul] speed 1 0 true
execute if score daycount hordeday matches 30 run effect give @e[type=spider,tag=!demon] speed 1 1 true
execute if score daycount hordeday matches 30 run effect give @e[type=spider,tag=!demon] strength 1 1 true
execute if score daycount hordeday matches 30 run enchant @e[type=skeleton] power 3
execute if score daycount hordeday matches 30 run enchant @e[type=skeleton] punch 2


execute as @r[nbt={Inventory:[{id:"minecraft:elytra",Slot:102b,tag:{display:{Lore:['{"text":"Resonating with energy of the Void","color":"dark_purple","bold":true,"underlined":true,"strikethrough":true}']}}}]}] run effect give @s slow_falling 1 0 true
scoreboard players add counter timeto 1
execute if score counter timeto matches 20 run scoreboard players set counter timeto 0

execute if entity @a[nbt={Inventory:[{id:"minecraft:golden_helmet",Slot:103b,tag:{display:{Lore:['{"text":"\\"Never need torches again!\\"","color":"yellow","bold":true,"italic":false}']}}}]}] run function mob_variants:minerhelm

execute if score toggle phartoggle matches 2 run scoreboard players set toggle phartoggle 0
execute if score toggle knighttoggle matches 2 run scoreboard players set toggle knighttoggle 0
execute if score toggle wraithtoggle matches 2 run scoreboard players set toggle wraithtoggle 0
execute if score toggle barbtoggle matches 2 run scoreboard players set toggle barbtoggle 0
execute if score toggle posstoggle matches 2 run scoreboard players set toggle posstoggle 0
execute if score toggle demontoggle matches 2 run scoreboard players set toggle demontoggle 0
execute if score toggle soultoggle matches 2 run scoreboard players set toggle soultoggle 0
execute if score toggle ikotoggle matches 2 run scoreboard players set toggle ikotoggle 0
execute if score toggle archdemontoggle matches 2 run scoreboard players set toggle archdemontoggle 0
execute if score toggle minertoggle matches 2 run scoreboard players set toggle minertoggle 0
execute if score toggle sentineltoggle matches 2 run scoreboard players set toggle sentineltoggle 0
execute if score toggle halfzombietoggle matches 2 run scoreboard players set toggle halfzombietoggle 0
execute if score toggle gianttoggle matches 2 run scoreboard players set toggle gianttoggle 0
execute if score toggle babypertoggle matches 2 run scoreboard players set toggle babypertoggle 0
